#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;

const int SOINT = 1;
const int SOFLOAT = 2;

struct warrior
{
	int type; // 1 for Soint, 2 for Sofloat
	int level;
	int chakra;

	warrior(){}

	warrior(int t,int l,int c) {
		type = t;
		level = l;
		chakra = c;
	}

	bool operator < (const warrior &w) const {
		return level < w.level;
	}
};

int main() {
	int T;
	cin >> T;
	for (int t = 0; t < T; ++t) {
		int n, m;
		cin >> n >> m;
		vector<warrior> w;
		for (int i = 0; i < n; ++i) {
			int chakra, level;
			cin >> chakra >> level;
			w.push_back(warrior(SOINT, level, chakra));
		}
		for (int i = 0; i < m; ++i) {
			int chakra, level;
			cin >> chakra >> level;
			w.push_back(warrior(SOFLOAT, level, chakra));
		}
		sort(w.begin(), w.end());
		int ans = 0;
		int wsize = w.size(); // = m + n
		for (int i = 0; i < wsize; ) {
			int dif = 0;
			int cur_level = w[i].level;
			for(;i < wsize && w[i].level == cur_level; ++i) {
				if (w[i].type == SOINT) {
					dif -= w[i].chakra;
				} else {
					dif += w[i].chakra;
				}
			}
			if (dif > 0) {
				ans += dif;
			}
		}
		cout << ans << endl;
	}
	return 0;
}
